> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getoliver.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Staff Task

> Delete a staff task. This performs a soft delete by setting the status to canceled.

<Info>
  Deleting a staff task performs a soft delete by setting the task status to `canceled` and recording the `finalized_at` timestamp. The task record is not permanently removed.
</Info>


## OpenAPI

````yaml DELETE /services/core/open_api/v1/staff_tasks/{id}
openapi: 3.1.0
info:
  title: Oliver Partner API
  description: API for partners to interact with Oliver
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://partner-api.getoliver.com
security:
  - bearerAuth: []
paths:
  /services/core/open_api/v1/staff_tasks/{id}:
    delete:
      description: >-
        Delete a staff task. This performs a soft delete by setting the status
        to canceled.
      parameters:
        - name: X-Client-Id
          in: header
          description: The location id of the practice
          required: true
          schema:
            type: string
        - name: id
          in: path
          description: The ID of the staff task to delete
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Staff task canceled
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                properties:
                  success:
                    type: boolean
                  data:
                    type: object
                    nullable: true
                  message:
                    type: string
                    nullable: true
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeneralError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeneralError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeneralError'
components:
  schemas:
    GeneralError:
      type: object
      required:
        - success
        - message
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````